CMSIS-DSP: CMakeLists.txt File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

cmake_minimum_required (VERSION 3.14) project(CMSISDSPSVM) include(configLib) include(configDsp) add_library(CMSISDSPSVM STATIC) target_sources(CMSISDSPSVM PRIVATE arm_svm_linear_init_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_rbf_init_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_linear_predict_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_rbf_predict_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_polynomial_init_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_sigmoid_init_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_polynomial_predict_f32.c) target_sources(CMSISDSPSVM PRIVATE arm_svm_sigmoid_predict_f32.c) configLib(CMSISDSPSVM $

| configDsp (CMSISDSPSVM ${ROOT}) target_include_directories(CMSISDSPSVM PUBLIC"$

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 14 | ) |

configDsp | ( | CMSISDSPSVM ${ROOT} |  | ) |